Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Variables
appointmentview.php File Reference

Go to the source code of this file.

## Variables
| $ini =& eZINI::instance( 'site.ini' )
| $Language = $ini->variable( "eZCalendarMain", "Language" )
| $locale = new eZLocale( $Language )
| $t
| $user =& eZUser::currentUser()
| $session =& eZSession::globalSession()
else | $userID = $user->id()
if(isset( $GetByUserID) && $GetByUserID==false) if(( $session->variable("ShowOtherCalendarUsers")==false)||(isset( $GetByUser))) | $tmpUser = new eZUser( $session->variable( "ShowOtherCalendarUsers" ) )
if( $tmpUser->id()==$userID) | else
| $appointment = new eZAppointment( $AppointmentID )
| $foundAppointment = false
| $appointmentType = $appointment->type()
| $datetime = $appointment->dateTime()

## Variable Documentation

## ◆ $appointment

$appointment = new eZAppointment( $AppointmentID )

Definition at line 89 of file appointmentview.php.

Referenced by appointmentRowSpan().

## ◆ $appointmentType

$appointmentType = $appointment->type()

Definition at line 107 of file appointmentview.php.

## ◆ $datetime

$datetime = $appointment->dateTime()

Definition at line 108 of file appointmentview.php.

Referenced by eZDateTime\isGreater(), newOrders(), and eZGroupEvent\setFinishDateNot().

## ◆ $foundAppointment

$foundAppointment = false

Definition at line 90 of file appointmentview.php.

## ◆ $ini

$ini =& eZINI::instance( 'site.ini' )

Definition at line 38 of file appointmentview.php.

## ◆ $Language

$Language = $ini->variable( "eZCalendarMain", "Language" )

Definition at line 40 of file appointmentview.php.

## ◆ $locale

$locale = new eZLocale( $Language )

Definition at line 41 of file appointmentview.php.

## ◆ $session

$session =& eZSession::globalSession()

Definition at line 59 of file appointmentview.php.

## ◆ $t

$t

Initial value:
= new eZTemplate( "kernel/ezcalendar/user/" . $ini->variable( "eZCalendarMain", "TemplateDir" ),
"kernel/ezcalendar/user/intl/", $Language, "appointmentview.php" )
$Language
$Language
Definition: appointmentview.php:40
$ini
$ini
Definition: appointmentview.php:38
eZTemplate
Definition: eztemplate.php:107

Definition at line 43 of file appointmentview.php.

## ◆ $tmpUser

if (isset($GetByUserID) &&$GetByUserID==false) if (($session->variable("ShowOtherCalendarUsers")==false)||(isset($GetByUser))) $tmpUser = new eZUser( $session->variable( "ShowOtherCalendarUsers" ) )

Definition at line 78 of file appointmentview.php.

## ◆ $user

$user =& eZUser::currentUser()

Definition at line 58 of file appointmentview.php.

## ◆ $userID

$userID = $user->id()

Definition at line 66 of file appointmentview.php.

## ◆ else

if ($appointment->isPrivate()==true) else

Initial value:
{
$showPrivate = false
$showPrivate
$showPrivate
Definition: eventview.php:106

Definition at line 84 of file appointmentview.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.